package com.syaroful.agrilinkvocpro.growth_recipe_feature.naviagtion

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.syaroful.agrilinkvocpro.growth_recipe_feature.presentation.recipe.GrowthRecipeScreen
import com.syaroful.agrilinkvocpro.growth_recipe_feature.presentation.recomendation.ClusterScreen

@Composable
fun SetupNavigation() {
    val navController = rememberNavController()
    NavHost(navController, startDestination = "growth_recipe") {
        composable("growth_recipe") {
            GrowthRecipeScreen(navController = navController)
        }

        composable("cluster") {
            ClusterScreen(navController = navController)
        }
    }
}